# závislosť korytnačiek - tretia korytnačka je umiestnená uprostred medzi dvomi pohybujúcimi sa korytnačkami                                                         

import turtle

turtle.delay(10)                                            # urýchlenie (alebo spomalenie) pohybu korytnačky: parameter určuje počet milisekúnd, ktorým sa zdržuje každé kreslenie
t1 = turtle.Turtle()
t2 = turtle.Turtle()
t1.speed(2)                                                 # ".speed(...)" každú korytnačku môžeme ešte individuálne zrýchliť alebo spomaliť
t2.speed(5)                                                 # 1-najpomalšie, 3-pomaly, 6-normál, 10-rýchle, 0-najrýchlejšie
t3 = turtle.Turtle()
t3.color('red','red')


def posun(t, pos):                                          # aby rôzne korytnačky mohli využívať tú istú kresliacu funkciu, musíme globálnu premennú t vo funkcii prerobiť na parameter
    t.pu()                                                  # pos je pozícia v tvare (x,y)            
    t.setpos(pos)                                                          
    t.pd()

def stred(k1, k2):                                          # funkcia "stred" vráti prepočítané súradnice tretej korytnačky 
    x = (k1.xcor() + k2.xcor()) / 2
    y = (k1.ycor() + k2.ycor()) / 2
    return (x, y)                                           # "return" je špeciálny príkaz, ktorý môžeme použiť vo funkcii alebo metóde na odoslanie výsledku funkcie späť volajúcemu


posun(t1, (200, -50))
posun(t2, (-200, 100))
posun(t3, stred(t1, t2))

while True:                                                 # nekonečné cyklenie
    t1.fd(10)
    t1.rt(7)
    t2.fd(3)
    t2.lt(3)
    t3.setpos(stred(t1, t2))
