import turtle
turtle.delay(10)                                                        # spomalenie pohybu korytnačky v milisekundách, ktorým sa zdržuje každé kreslenie 
chessboard = turtle.Turtle()                                            # vytvorí grafickú plochu a v jej strede korytnačku s natočením na východ



# Príklad č.1: Vykreslenie šachovnice

chessboard.speed(1)                                                     # ".speed(...)" každú korytnačku môže ešte individuálne zrýchliť alebo spomaliť
                                                                        # rýchlosť korytnačky sa udávame ako celé číslo v rozsahu 0,...,10
                                                                        # ak nie je uvedený žiadny argument, vráti aktuálnu rýchlosť
                                                                        # ak je vstupom číslo väčšie ako 10 alebo menšie ako 0.5, rýchlosť sa nastaví na 0
                                                                        # 1-najpomalšie, 3-pomaly, 6-normál, 10-rýchle, 0-najrýchlejšie
def stvorec(dlzka):
    for i in range(4):
        chessboard.fd(dlzka)
        chessboard.rt(90)

for i in range(8):                                                      # vykreslenie šachovnice 8x8
    chessboard.pu()
    chessboard.setpos(0, 30 * i)
    chessboard.pd()
    for j in range(8):
        if (i + j)% 2 == 0:
          col ='black'
        else:
          col ='white'
        chessboard.fillcolor(col)
        chessboard.begin_fill()
        stvorec(30)
        chessboard.end_fill()
        chessboard.fd(30) 
       

chessboard.hideturtle()                                                 # ".hideturtle()" umožňuje skryť zobrazovanie tvaru korytnačky, skratka "ht"
                                                                        # ".showturtle()" umožňuje opätovné zobrazovanie tvaru korytnačky, skratka "st"




# Príklad č.2: Vykreslenie špirály a práca k kružnicou


spiral = turtle.Turtle()                                                # vytvorenie novej korytnačky
spiral.speed('normal')
spiral.shape('turtle')                                                  # ".shape(...)" zmení tvar korytnačky na jeden z preddefinovaných tvarov
                                                                        # možné tvary: 'arrow', 'turtle', 'circle', 'square', 'triangle', 'classic'
spiral.color('red')
spiral.pu()
spiral.rt(180)
spiral.fd(200)
spiral.pd()
                                    
r=5                                                                     # vytvorenie špirály
for i in range(40):
    spiral.circle(r + i, 90)                                            # funkcia ".circle(radius, extent=None, steps=None)" môže mať až tri vstupné parametre
                                                                        # povinný parameter "radius" určuje polomer kružnice
                                                                        # voliteľný parameter "extent" určuje uhol vykreslenia kružnice
                                                                        # voliteľný parameter "steps" určuje počet krokov vykreslenia (kružnica je aprox. vpísaným pravidelným mnohouhol.)  



##spiral.color('green')
##spiral.pu()
##spiral.setpos(-200,200)
##spiral.pd()
##spiral.speed(1) 
##spiral.circle(50, 360,6)
##spiral.circle(50, 180,6)



# Príklad č.3: Práca s n-uholníkmi

pentagons= turtle.Turtle()                                              # vytvorenie novej korytnačky
pentagons.shape('triangle')
pentagons.color('blue')
pentagons.pu()
pentagons.setpos(150, -200)
pentagons.pd()

for i in range(0,10):                                                   # vytvorenie viacero pentagonov
    pentagons.rt(36)
    for j in range(0,5):
        pentagons.fd(50)
        pentagons.rt(72)


for i in range(0,10):                                                   # vytvorenie viacero pentagonov
    pentagons.rt(36)
    pentagons.circle(50,360,5)


