# grafické objekty v korytnačej grafike

import turtle                                                     # korytnačka je grafické pero (grafický robot), ktoré si okrem pozície v grafickej ploche pamätá aj smer natočenia       

t = turtle.Turtle()                                               # vytvorí grafickú plochu a v jej strede korytnačku s natočením na východ
turtle.delay(1)                                                   # urýchlenie (alebo spomalenie) pohybu korytnačky: parameter určuje počet milisekúnd, ktorým sa zdržuje každé kreslenie
                                                              


                                                                   
def stvorec(dlzka):
    for i in range(4):
        t.forward(dlzka)                                          # forward(dĺžka) posunie korytnačku v momentálnom smere o zadanú dĺžku, skratka "fd" 
        t.right(90)                                               # right(uhol) otočí korytnačku o zadaný uhol vpravo, skratka "rt"


    
stvorec(100)
t.fd(200)




for i in range(0,360):                                            # kružnica vygenerovaná pomocou cyklu pomocou otočení o 1 stupeň
    t.fd(1)
    t.left(1)                                                     # left(uhol) otočí korytnačku o zadaný uhol vľavo, skratka "lt"


   
t.color('blue')                                                   # nastavenie farby pera
t.circle(100)                                                     # volanie preddefinovanej funkcie "circle" z modulu 
t.penup()                                                         # zdvihnutie pera, skratka "pu" alebo "up"
t.back(500)                                                       # cúvanie korytnačky v momentálnom smere o zadanú dĺžku, skratka "bk"                                              
t.pendown()                                                       # spustenie pera, skratka "pd" alebo "down"



t.fillcolor('red')                                                # nastavenie farby výplne
for i in range(4):
    t.begin_fill()                                                # na začiatok postupnosti príkazu (ktorý definuje obrys útvaru) umiestníme začiatok budúceho vyfarbenia
    stvorec(40)
    t.end_fill()                                                  # na koniec postupnosti príkazu, ktorý vyfarbí nakreslený útvar farbou výplne
                                                                  # ak nakreslíme krivku, ktorá nevytvára uzavretý útvar, tak pri vypĺňaní sa obrys 'uzavrie'
    t.pu()
    t.fd(50)
    t.pd()
    



t.fillcolor('black')
t.begin_fill()
stvorec(40)
t.end_fill()

t.color('green')
t.pu()
t.setpos(-250, -150)                                              # setpos() presunie na konkrétnu pozíciu so súradnicami, skratka "goto"
t.pd()






for i in range(0,5):                                              # vykreslenie pentagramu
    t.fd(150)
    t.rt(144)  

t.pu()
t.sety(150)                                                       # ".sety" nastaví druhú súradnicu y=150, prvú súradnicu nechá nezmenenú
                                                                  # ".setx" nastaví prvú súradnicu x=..., druhú súradnicu nechá nezmenenú 
t.pd()



def trojuholnik(dlzka):
    for i in range(3):
        t.fd(dlzka)
        t.lt(120)                                               

t.pensize(10)                                                     # nastavenie hrúbky pera
t.color('yellow','red')                                           
trojuholnik(100)




t.clear()                                                         # zmazanie kresby bez inicilizácie
t.reset()                                                         # zmazanie kresby s následnou inicilizáciou t.j. s návratom do stredu grafickej plochy

